// mydll.cpp : Defines the entry point for the DLL application.
//

#include "stdafx.h"
#include<QtCore\QVector>
#include<QtGui\QWidget>
#include<QtGui\QApplication>

#ifdef _MANAGED
#pragma managed(push, off)
#endif

BOOL APIENTRY DllMain( HMODULE hModule,
                       DWORD  ul_reason_for_call,
                       LPVOID lpReserved
					 )
{
    return TRUE;
}
extern "C" int __declspec(dllexport) testi(void)
{

	int ret = 0;
	QVector<int> integerVector;
	integerVector.append(++ret);
	
	int argc(0);
	QApplication a( argc, NULL );
	QWidget *w = new QWidget();
	w->show();
	a.exec();

	return ret;
}
#ifdef _MANAGED
#pragma managed(pop)
#endif

